Package twisted :: Package internet :: Module udp :: Class MulticastMixin

[show private | hide private]
[frames | no frames]

## Class MulticastMixin

Known Subclasses:
  `MulticastPort`, `ConnectedMulticastPort`

Implement multicast functionality.

Initial implementation, probably needs some changes for Windows support.

Method Summary
| `getLoopbackMode(self)`
| `getOutgoingInterface(self)`
| `getTTL(self)`
| ``joinGroup`(self, addr, interface)` Join a multicast group.
| ``leaveGroup`(self, addr, interface)` Leave multicast group, return Deferred of success.
| `setLoopbackMode(self, mode)`
| ``setOutgoingInterface`(self, addr)` Returns Deferred of success.
| `setTTL(self, ttl)`

Method Details

### joinGroup(self, addr, interface='')

Join a multicast group. Returns Deferred of success.

### leaveGroup(self, addr, interface='')

Leave multicast group, return Deferred of success.

### setOutgoingInterface(self, addr)

Returns Deferred of success.

Generated by Epydoc 1.1 on Sat Feb 15 21:17:53 2003 | http://epydoc.sf.net